Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.vehiclerouting.domain.timewindowed.solver
Class ArrivalTimeUpdatingVariableListener

    java.lang.Object
      org.optaplanner.examples.vehiclerouting.domain.timewindowed.solver.ArrivalTimeUpdatingVariableListener

All Implemented Interfaces:
  PlanningVariableListener<VrpCustomer>

    public class ArrivalTimeUpdatingVariableListener

extends Object
implements PlanningVariableListener<VrpCustomer>

Constructor Summary
`ArrivalTimeUpdatingVariableListener()`

Method Summary
`void` | `afterEntityAdded(ScoreDirector scoreDirector, VrpCustomer customer)`
`void` | `afterEntityRemoved(ScoreDirector scoreDirector, VrpCustomer customer)`
`void` | `afterVariableChanged(ScoreDirector scoreDirector, VrpCustomer customer)`
`void` | `beforeEntityAdded(ScoreDirector scoreDirector, VrpCustomer customer)`
`void` | `beforeEntityRemoved(ScoreDirector scoreDirector, VrpCustomer customer)`
`void` | `beforeVariableChanged(ScoreDirector scoreDirector, VrpCustomer customer)`
`protected void` | `updateVehicle(ScoreDirector scoreDirector, VrpTimeWindowedCustomer sourceCustomer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrivalTimeUpdatingVariableListener

    public ArrivalTimeUpdatingVariableListener()

Method Detail

### beforeEntityAdded

    public void beforeEntityAdded(ScoreDirector scoreDirector,
                                  VrpCustomer customer)

  Specified by:
    `beforeEntityAdded` in interface `PlanningVariableListener<VrpCustomer>`

### afterEntityAdded

    public void afterEntityAdded(ScoreDirector scoreDirector,
                                 VrpCustomer customer)

  Specified by:
    `afterEntityAdded` in interface `PlanningVariableListener<VrpCustomer>`

### beforeVariableChanged

    public void beforeVariableChanged(ScoreDirector scoreDirector,
                                      VrpCustomer customer)

  Specified by:
    `beforeVariableChanged` in interface `PlanningVariableListener<VrpCustomer>`

### afterVariableChanged

    public void afterVariableChanged(ScoreDirector scoreDirector,
                                     VrpCustomer customer)

  Specified by:
    `afterVariableChanged` in interface `PlanningVariableListener<VrpCustomer>`

### beforeEntityRemoved

    public void beforeEntityRemoved(ScoreDirector scoreDirector,
                                    VrpCustomer customer)

  Specified by:
    `beforeEntityRemoved` in interface `PlanningVariableListener<VrpCustomer>`

### afterEntityRemoved

    public void afterEntityRemoved(ScoreDirector scoreDirector,
                                   VrpCustomer customer)

  Specified by:
    `afterEntityRemoved` in interface `PlanningVariableListener<VrpCustomer>`

### updateVehicle

    protected void updateVehicle(ScoreDirector scoreDirector,
                                 VrpTimeWindowedCustomer sourceCustomer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.